<?php get_header(); ?>

    <div id="page">
        <div id="main">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
			
		</div>

		<div class="post" id="post-<?php the_ID(); ?>">

			<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to')?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
			
			<div class="date">
					<div class="alignleft">
					<?php the_time('F jS, Y') ?> <?php _e('by'); ?> <?php the_author() ?>
					</div>
					<div class="cmt">
					<a href="<?php comments_link(); ?>"><?php comments_number(_('No Comments &#187;'), _('1 Comment &#187;'), _('% Comments &#187;')); ?></a>
					</div>
			</div>

			<div class="entry">
			    <?php the_content(_('Read the rest of this entry &raquo;')); ?>
			</div>
		
			<?php wp_link_pages(array('before' => '<p><strong>' . _('Pages:') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

			<?php if(get_option('bbcc_social')) { include(STYLESHEETPATH . '/inc/social-links.php' );  }?>
	
			<div class="postmeta"><?php the_tags(_('Tags: '), ', ', '<br />'); ?>
				<?php echo _('Posted in') . ' ';   the_category(', ') ?><?php edit_post_link(_('Edit this entry'), ' | ', '<br/>'); ?> 
					<small>
						You can follow any responses to this entry through the <?php post_comments_feed_link('RSS 2.0'); ?> feed.

						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							You can skip to the end and leave a response. Pinging is currently not allowed.

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							Both comments and pings are currently closed.

						<?php } ?>.

					</small>
				</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>Sorry, no posts matched your criteria.</p>

<?php endif; ?>

	<div class="pb"></div>    
	</div>

	<?php get_sidebar(); ?>

        <div class="clear"></div>        
    </div>

<?php get_footer(); ?>