<?php get_header(); ?>

    <div id="page">
        <div id="main">


	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to')?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
				
				<div class="date">
					<div class="alignleft">
					<?php the_time('F jS, Y') ?> <?php _e('by'); ?> <?php the_author() ?>
					</div>
					<div class="cmt">
					<?php comments_popup_link(__('No Comments &#187;'), __('1 Comment &#187;'), __('% Comments &#187;')); ?>
					</div>
				</div>

				<div class="entry">
					<?php the_content(__('Read the rest of this entry &raquo;')); ?>
				</div>

				<div class="postmeta"><?php the_tags(__('Tags: '), ', ', '<br />'); ?>
				<?php echo __('Posted in') . ' ';   the_category(', ') ?> <?php edit_post_link(__('Edit'), ' | ', ''); ?> </div>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;')) ?></div>
		</div>

	<?php else : ?>

		<div class="page">
		<h1 class="center"><?php _e('Not Found'); ?></h1>
		<p class="center"><?php _e("Sorry, but you are looking for something that isn't here."); ?></p>
		<?php get_search_form(); ?>
		</div>

	<?php endif; ?>

	<div class="pb"></div>    
	</div>

	<?php get_sidebar(); ?>

        <div class="clear"></div>        
    </div>

<?php get_footer(); ?>
